PSIMAGE(1)

NAME
psimage - To plot images (EPS files or Sun rasterfiles) on maps

SYNOPSIS
psimage imagefile [ -W[-]xlength[/ylength] | -Edpi ] [ -Cxpos/ypos[/justify] ] [ -Fpen ] [ -G[f|b]color ] [ -I ] [ -K ] [ -M ] [ -Nnxrep[/nyrep] ] [ -O ] [ -P ] [ -U[/dx/dy/][label] ] [ -V ] [ -X[a|c|r][x-shift[u]] ] [ -Y[a|c|r][y-shift[u]] ] [ -ccopies ]

DESCRIPTION
psimage reads an Encapsulated PostScript file or a 1, 8, 24, or 32-bit Sun rasterfile and plots it on a map. The image can be scaled arbitrarily, and 1-bit raster images can be (1) inverted, i.e., black pixels (on) becomes white (off) and vice versa, or (2) colorized, by assigning different foreground and background colors, and (3) made transparent where one of back- or foreground is painted only. As an option, the user may choose to convert colored raster images to grayscale using TV's YIQ-transformation. The user may also choose to replicate the image which, when preceded by appropriate clip paths, may allow larger custom-designed fill patterns to be implemented (the -Gp mechanism offered in most GMT programs is limited to rasters smaller than 146 by 146).

imagefile
    This must be an Encapsulated PostScript (EPS) file or a Sun rasterfile. An EPS file must contain an appropriate BoundingBox. A rasterfile can have a depth of 1, 8, 24, or 32 bits. Old-style, Standard, Run-length-encoded, and RGB Sun rasterfiles are supported. Other raster formats can be converted to Sun format via a variety of public-domain software (e.g., convert, xv).

-E  Sets the dpi of the image in dots pr inch, or use -W.

-W  Sets the size of the image. If not given ylength is set to xlength * (ny/nx). If xlength is negative we use the absolate value and interpolate image to the device resolution using the PostScript image operator. Alternatively, use -E.

OPTIONS
No space between the option flag and the associated arguments.

-C  Sets position of lower left corner of image, and optionally append justification [0/0/LB].

-F  Draws a rectangular frame around the image with the given pen [no frame]. pen is a comma delimetered list of width, color and texture, each of which is optional. width can be indicated as a measure (points, centimeters, inches) or as faint, thin[ner|nest], thick[er|est], fat[ter|test], or obese. color specifies a grey shade (0-255) or color (r/g/b, each in range 0-255; h-s-v, ranges 0-360, 0-1, 0-1; or c/m/y/k, each in range 0-100%; or valid color name). texture is a combination of dashes `-' and dots `.'.

-Gb Sets background color (replace white pixel) for 1-bit image templates. Use - for transparency (and set -Gf to the desired color).

-Gf Sets foreground color (replace black pixel) for 1-bit image templates. Use - for transparency (and set -Gb to the desired color).

-I  Invert image before plotting (1-bit images only). This is what is done when you use -GP in other GMT programs.

-K  More PostScript code will be appended later [Default terminates the plot system].

-M  Convert color image to monochrome grayshades using the (television) YIQ-transformation.

-N  Replicate the image nxrep in x and nyrep in y [Default is 1/1].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-X -Y
    Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If -O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES
To plot the image contained in the 8-bit rasterfile scanned_face.ras, scaling it to 8 by 10 cm, use

psimage scanned_face.ras -W8c/10c > image.ps

To include an Encapsulated PostScript file tiger.eps with its upper right corner 2 inch to the right and 1 inch up from the current location, and have its width scaled to 3 inches, use

psimage tiger.eps -C2i/1i/TR -W3i > image.ps

To replicate the image template 1_bit.ras over a 5 by 5 inch area, colorize it (brown background and red foreground), and setting each piece to be 1 by 1 cm, use

psimage 1_bit.ras -Gbbrown -Gfred -N5i/5i -W1c > image.ps

SEE ALSO
GMT(1)